/*
*  Rubrica
*  file: addressbook.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef __RUBRICA_ADDRESSBOOK_H
#define __RUBRICA_ADDRESSBOOK_H

#include <gnome.h>


typedef struct {
  GList *rubrica;         /* the addressbook */

  gboolean modified;      /* true if rubrica is modified, false if not */
  gboolean empty;       
  gboolean new;           /* true  if this is new addressbook (just did) 
			     false if it has one or more item          */

  gchar *name;            /* addressbook's name */
  gchar *path;            /* addressbook's path */

  GtkWidget *notebook;    /* notebook */
  GtkWidget *child;
  GtkWidget *clist;
  GtkWidget *label;

  gint item_in_list;      /* # of item in current addressbook */
  gint nb_page;           /* notebook number page */

} AddressBook;

void rubrica_init_addressbook(void);
void rubrica_init_addressbook_item(AddressBook *ab);

AddressBook *rubrica_get_addressbook(gint number);
void rubrica_addressbook_append(AddressBook *ab);

gint rubrica_do_new_addressbook(gpointer data, gchar* filename);
void rubrica_init_addressbook_view(void);

void rubrica_apply_addressbook(gint n);

gint rubrica_get_pages(void);
void rubrica_pages_inc(void);
void rubrica_pages_dec(void);
void rubrica_page_set(gint n);

void addressbook_set_rubrica(GList *rub, gboolean new, gint page);
void addressbook_get_path_and_name(gchar **path, gchar **name, gint page);
void addressbook_store_path_and_name(gchar *path, gchar *name, gint page);
void addressbook_store_info(GList *rub, gboolean modif, gboolean empty, gint page);
void addressbook_store_widget_info(GtkWidget *notebook, GtkWidget * child, 
				   GtkWidget *clist, GtkWidget *label, gint page);

void rubrica_close_addressbook(gpointer data);
void rubrica_real_close(AddressBook *ab, gpointer notebook, gint page);


#endif
