/*
*  Rubrica
*  file: import_gcard.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _IMPORT_GCARD_H
#define _IMPORT_GCARD_H

#include "rubrica.h"

typedef enum {
  BEGIN = 0,
  FN,   N,
  REV,
  BDAY,
  ADR,  TEL,  EMAIL, URL, TZ, GEO,
  TITLE,  ORG, 
  CATEGORIES,  NOTE,
  KEY,
  END,
  BAD
} TokenGCard;

typedef enum {
  VCARD = 0,
  HOME,  WORK, POSTAL, PARCEL, DOM, INTL, PREF,
  VOICE, FAX, MSG, CELL, PAGER, BBS, MODEM, CAR, ISDN, VIDEO,  
  AOL, INTERNET, APPLELINK, ATTMAIL, CIS, EWORLD, IBMMail, MCIMAIL, 
  POWERSHARE, PRODIGY, TLX, X400, PGP, X509, 
  QUOTED_PRINTABLE,
  NO_SUB,  SUB_BAD, SUB_END
} SubGToken;


typedef struct _token {
  gchar *str;
  TokenGCard tok;
  gboolean subtok;
} GToken;

typedef struct _subtoken {
  gchar *str;
  SubGToken stok;
} SubGtoken;


TokenGCard get_token(gchar *tkbuf);
TokenGCard decode_gtoken(gchar *str, SubGToken *st);
SubGToken decode_gsubtoken(gchar *str);

void rubrica_decode_gbuffer(gchar *buf);
void import_free_gnote(GList *n);
gchar *import_merge_gnote(GList *l1, GList *l2, gint len1, gint len2);
gchar *import_decode_gnote(GList *l, gchar *s);
gchar *import_get_gstring(gchar *buf);
void import_decode_gstring(char *buf, gchar *dec[7]);

void import_split_buffer(gchar *buf, gchar **s, gchar **dt, gboolean *fl);
void import_clean_buffer(gchar *buffer, gboolean *fl);
#endif
