/*
*  Rubrica
*  file: main.c
*
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "rubrica.h"
#include "interface.h"
#include "support.h"
#include "main.h"
#include "callbacks.h"
#include "prefer.h"
#include "file.h"
#include "view.h"
#include "dictionary.h"
#include "addressbook.h"

GtkWidget *app;

GtkWidget *rubrica_get_app(void)
{
  return GTK_WIDGET(app);
}


int
main (int argc, char *argv[])
{
  gchar *fname = NULL, *fpath = NULL;

#ifdef ENABLE_NLS
  bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
  textdomain (PACKAGE);
#endif

  gnome_init ("rubrica", VERSION, argc, argv);

  rubrica_preferences_load();
  rubrica_init_dictionary();
  rubrica_init_addressbook();

  app = create_app();
  
  if (rubrica_pref_get_default_addressbook)
    {      
      fpath = g_strdup(rubrica_pref_get_path());
      fname = g_strdup(rubrica_pref_get_addressbook_fname());
      rubrica_start_with_file(fpath, fname);
      
      g_free(fpath);
      g_free(fname);
    }
  else
    rubrica_do_new_addressbook(app, NULL);

  gtk_signal_connect(GTK_OBJECT(app), "delete_event", 
		     GTK_SIGNAL_FUNC(exit_rubrica), NULL);

  gtk_widget_show(app);

  gtk_main ();
  return 0;
}



